Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8512)
@@ -76,11 +76,4 @@
    PUBLIC   ice_init   ! called by sbcmod.F90
 
-   INTEGER ::              nice_dyn   ! choice of the type of advection scheme
-   !                                  ! associated indices:
-   INTEGER, PARAMETER ::   np_dynNO   = 0   ! no ice dynamics and ice advection
-   INTEGER, PARAMETER ::   np_dynFULL = 1   ! full ice dynamics  (rheology + advection + ridging/rafting + correction)
-   INTEGER, PARAMETER ::   np_dyn     = 2   ! no ridging/rafting (rheology + advection                   + correction)
-   INTEGER, PARAMETER ::   np_dynPURE = 3   ! pure dynamics      (rheology + advection) 
-
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
@@ -161,5 +154,5 @@
             CALL ice_adv   ( kt )          ! -- advection of ice
             CALL ice_cor   ( kt , 1 )      ! -- Corrections
-         CASE ( np_dynPURE )          !==  pure dynamics only ==!   (nn_limdyn= 0 or 1 )
+         CASE ( np_dynPURE )          !==  pure dynamics only ==!   (nn_icedyn= 0 or 1 )
             CALL ice_rhg   ( kt )          ! -- rheology  
             CALL ice_adv   ( kt )          ! -- advection of ice
@@ -239,5 +232,5 @@
       ! Update surface ocean stresses (only in ice-dynamic case) otherwise the atm.-ocean stresses are used everywhere
       !    using before instantaneous surf. currents
-      IF( ln_limdyn )               CALL ice_update_tau( kt, ub(:,:,1), vb(:,:,1) )
+      IF( ln_icedyn )               CALL ice_update_tau( kt, ub(:,:,1), vb(:,:,1) )
 !!gm   remark, the ocean-ice stress is not saved in ice diag call above .....  find a solution!!!
       !
@@ -270,12 +263,16 @@
       ierr = ierr + sbc_ice_alloc    ()      ! surface forcing 
       ierr = ierr + ice1D_alloc      ()      ! thermodynamics
-      IF( ln_limdyn )   ierr = ierr + ice_rdgrft_alloc ()      ! ridging/rafting
+      ierr = ierr + ice_rdgrft_alloc ()      ! ridging/rafting
       !
       IF( lk_mpp    )   CALL mpp_sum( ierr )
       IF( ierr /= 0 )   CALL ctl_stop('STOP', 'ice_init : unable to allocate ice arrays')
       !
-      CALL ice_rhg_init                ! set ice dynamics parameters
-      !
       CALL ice_itd_init                ! ice thickness distribution initialization
+      !
+      CALL ice_rdgrft_init             ! set ice ridging/rafting parameters
+      !
+      CALL ice_rhg_init                ! set ice rheology parameters
+      !
+      CALL ice_adv_init                ! set ice advection parameters
       !
       CALL ice_thd_init                ! set ice thermodynics parameters
@@ -286,6 +283,4 @@
       CALL lim_mp_init                 ! set melt ponds parameters
       ! END MV MP 2016
-
-      IF( ln_limdyn )   CALL ice_rdgrft_init  ! ice thickness distribution initialization for ridging/rafting
       !                                ! Initial sea-ice state
       IF( .NOT. ln_rstart ) THEN              ! start from rest: sea-ice deduced from sst
@@ -323,22 +318,22 @@
       !! ** Purpose :   Definition some run parameter for ice model
       !!
-      !! ** Method  :   Read the namicerun namelist and check the parameter
+      !! ** Method  :   Read the namice_run namelist and check the parameter
       !!              values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namicerun
+      !! ** input   :   Namelist namice_run
       !!-------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
-      NAMELIST/namicerun/ jpl, nlay_i, nlay_s, nn_monocat, rn_amax_n, rn_amax_s, cn_icerst_in, cn_icerst_indir,   &
-         &                cn_icerst_out, cn_icerst_outdir, ln_limthd, ln_limdyn, nn_limdyn, rn_uice, rn_vice  
+      NAMELIST/namice_run/ jpl, nlay_i, nlay_s, nn_monocat, rn_amax_n, rn_amax_s, cn_icerst_in, cn_icerst_indir,   &
+         &                cn_icerst_out, cn_icerst_outdir
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )      ! Namelist namicerun in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namicerun in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namicerun )
+      REWIND( numnam_ice_ref )      ! Namelist namice_run in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namice_run, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist namice_run in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namice_run, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_run )
       !
       IF(lwp) THEN                  ! control print
@@ -346,5 +341,5 @@
          WRITE(numout,*) 'ice_run_init : ice share parameters for dynamics/advection/thermo of sea-ice'
          WRITE(numout,*) ' ~~~~~~'
-         WRITE(numout,*) '   Namelist namicerun : '
+         WRITE(numout,*) '   Namelist namice_run : '
          WRITE(numout,*) '      number of ice  categories                              jpl    = ', jpl
          WRITE(numout,*) '      number of ice  layers                                  nlay_i = ', nlay_i
@@ -353,11 +348,4 @@
          WRITE(numout,*) '      maximum ice concentration for NH                              = ', rn_amax_n 
          WRITE(numout,*) '      maximum ice concentration for SH                              = ', rn_amax_s
-         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                  ln_limthd  = ', ln_limthd
-         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                  ln_limdyn  = ', ln_limdyn
-         WRITE(numout,*) '         associated switch                               nn_limdyn  = ', nn_limdyn
-         WRITE(numout,*) '            =2 all processes (default option)'
-         WRITE(numout,*) '            =1 advection only (no ridging/rafting)'
-         WRITE(numout,*) '            =0 advection only with prescribed velocity given by '
-         WRITE(numout,*) '               a uniform field        (u,v)_ice = (rn_uice,rn_vice) = (', rn_uice,',', rn_vice,')'
       ENDIF
       !
@@ -373,22 +361,4 @@
       !
       IF( ln_bdy .AND. ln_limdiachk )   CALL ctl_warn('ice_run_init: online conservation check does not work with BDY')
-      !
-      !                             ! set the choice of ice dynamics
-      IF( lk_c1d .OR. .NOT.ln_limdyn ) THEN
-         nice_dyn = np_dynNO                    !--- no dynamics
-      ELSE
-         SELECT CASE( nn_limdyn )
-         CASE( 2 )                    
-            IF( nn_monocat /= 2 ) THEN          !--- full dynamics (rheology + advection + ridging/rafting + correction)
-               nice_dyn = np_dynFULL
-            ELSE
-               nice_dyn = np_dyn                !--- dynamics without ridging/rafting
-            ENDIF
-         CASE( 0 , 1 )                          !--- dynamics without ridging/rafting and correction 
-            nice_dyn = np_dynPURE
-         END SELECT
-      ENDIF
-      !                                         !--- simple conservative piling, comparable with LIM2
-      l_piling = nn_limdyn == 1 .OR. ( nn_monocat == 2  .AND.  jpl == 1 )
       !
       rdt_ice   = REAL(nn_fsbc) * rdt           !--- sea-ice timestep and inverse
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8512)
@@ -26,5 +26,5 @@
    USE sbc_oce , ONLY : sss_m, sst_m, e3t_m, utau, vtau, ssu_m, ssv_m, frq_m, qns_tot, qsr_tot, sprecip, ln_cpl
    USE sbc_ice , ONLY : qsr_oce, qns_oce, qemp_oce, qsr_ice, qns_ice, dqns_ice, evap_ice, qprec_ice, qevap_ice, &
-      &                 fr1_i0, fr2_i0, nn_limflx
+      &                 fr1_i0, fr2_i0
    USE ice1D          ! thermodynamic sea-ice variables
    USE icethd_dif     ! vertical diffusion
@@ -92,6 +92,6 @@
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
-         WRITE(numout,*)' icethd : sea-ice thermodynamics'
-         WRITE(numout,*)' ~~~~~~~~'
+         WRITE(numout,*) 'ice_thd: sea-ice thermodynamics'
+         WRITE(numout,*) '~~~~~~~'
       ENDIF
       
@@ -104,5 +104,5 @@
       ! computation of friction velocity at T points
       !---------------------------------------------!
-      IF( ln_limdyn ) THEN
+      IF( ln_icedyn ) THEN
          zu_io(:,:) = u_ice(:,:) - ssu_m(:,:)
          zv_io(:,:) = v_ice(:,:) - ssv_m(:,:)
@@ -532,5 +532,5 @@
       !!              thermodynamics
       !!
-      !! ** Method  :   Read the namicethd namelist and check the ice-thermo
+      !! ** Method  :   Read the namice_thd namelist and check the ice-thermo
       !!              parameter values called at the first timestep (nit000)
       !!
@@ -539,5 +539,5 @@
       INTEGER  ::   ios   ! Local integer output status for namelist read
       !!
-      NAMELIST/namicethd/ rn_kappa_i, nn_ice_thcon, ln_dqnsice, rn_cdsn,                                  &
+      NAMELIST/namice_thd/ ln_limthd, rn_kappa_i, nn_ice_thcon, ln_dqnsice, rn_cdsn,                       &
          &                ln_limdH, rn_betas,                                                             &
          &                ln_limdA, rn_beta, rn_dmin,                                                     &
@@ -546,12 +546,12 @@
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namicethd in reference namelist : Ice thermodynamics
-      READ  ( numnam_ice_ref, namicethd, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )              ! Namelist namicethd in configuration namelist : Ice thermodynamics
-      READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namicethd )
+      REWIND( numnam_ice_ref )              ! Namelist namice_thd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namice_thd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_thd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namice_thd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namice_thd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_thd in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_thd )
       !
       !
@@ -559,28 +559,29 @@
          WRITE(numout,*) 'ice_thd_init : Ice Thermodynamics'
          WRITE(numout,*) '~~~~~~~~~~~~~'
-         WRITE(numout,*)'   Namelist namicethd'
-         WRITE(numout,*)'   -- icethd_dif --'
-         WRITE(numout,*)'      extinction radiation parameter in sea ice               rn_kappa_i   = ', rn_kappa_i
-         WRITE(numout,*)'      switch for comp. of thermal conductivity in the ice     nn_ice_thcon = ', nn_ice_thcon
-         WRITE(numout,*)'      change the surface non-solar flux with Tsu or not       ln_dqnsice   = ', ln_dqnsice
-         WRITE(numout,*)'      thermal conductivity of the snow                        rn_cdsn      = ', rn_cdsn
-         WRITE(numout,*)'   -- icethd_dh --'
-         WRITE(numout,*)'      activate ice thick change from top/bot (T) or not (F)   ln_limdH     = ', ln_limdH
-         WRITE(numout,*)'      coefficient for ice-lead partition of snowfall          rn_betas     = ', rn_betas
-         WRITE(numout,*)'   -- icethd_da --'
-         WRITE(numout,*)'      activate lateral melting (T) or not (F)                 ln_limdA     = ', ln_limdA
-         WRITE(numout,*)'      Coef. beta for lateral melting param.                   rn_beta      = ', rn_beta
-         WRITE(numout,*)'      Minimum floe diameter for lateral melting param.        rn_dmin      = ', rn_dmin
-         WRITE(numout,*)'   -- icethd_lac --'
-         WRITE(numout,*)'      activate ice growth in open-water (T) or not (F)        ln_limdO     = ', ln_limdO
-         WRITE(numout,*)'      ice thickness for lateral accretion                     rn_hnewice   = ', rn_hnewice
-         WRITE(numout,*)'      Frazil ice thickness as a function of wind or not       ln_frazil    = ', ln_frazil
-         WRITE(numout,*)'      Maximum proportion of frazil ice collecting at bottom   rn_maxfrazb  = ', rn_maxfrazb
-         WRITE(numout,*)'      Threshold relative drift speed for collection of frazil rn_vfrazb    = ', rn_vfrazb
-         WRITE(numout,*)'      Squeezing coefficient for collection of frazil          rn_Cfrazb    = ', rn_Cfrazb
-         WRITE(numout,*)'   -- iceitd --'
-         WRITE(numout,*)'      minimum ice thickness                                   rn_himin     = ', rn_himin 
-         WRITE(numout,*)'   -- icestp --'
-         WRITE(numout,*)'      Multicategory heat flux formulation                     nn_limflx    = ', nn_limflx
+         WRITE(numout,*) '   Namelist namice_thd'
+         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                       ln_limthd    = ', ln_limthd
+         WRITE(numout,*) '   -- icethd_dif --'
+         WRITE(numout,*) '      extinction radiation parameter in sea ice               rn_kappa_i   = ', rn_kappa_i
+         WRITE(numout,*) '      switch for comp. of thermal conductivity in the ice     nn_ice_thcon = ', nn_ice_thcon
+         WRITE(numout,*) '      change the surface non-solar flux with Tsu or not       ln_dqnsice   = ', ln_dqnsice
+         WRITE(numout,*) '      thermal conductivity of the snow                        rn_cdsn      = ', rn_cdsn
+         WRITE(numout,*) '   -- icethd_dh --'
+         WRITE(numout,*) '      activate ice thick change from top/bot (T) or not (F)   ln_limdH     = ', ln_limdH
+         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall          rn_betas     = ', rn_betas
+         WRITE(numout,*) '   -- icethd_da --'
+         WRITE(numout,*) '      activate lateral melting (T) or not (F)                 ln_limdA     = ', ln_limdA
+         WRITE(numout,*) '      Coef. beta for lateral melting param.                   rn_beta      = ', rn_beta
+         WRITE(numout,*) '      Minimum floe diameter for lateral melting param.        rn_dmin      = ', rn_dmin
+         WRITE(numout,*) '   -- icethd_lac --'
+         WRITE(numout,*) '      activate ice growth in open-water (T) or not (F)        ln_limdO     = ', ln_limdO
+         WRITE(numout,*) '      ice thickness for lateral accretion                     rn_hnewice   = ', rn_hnewice
+         WRITE(numout,*) '      Frazil ice thickness as a function of wind or not       ln_frazil    = ', ln_frazil
+         WRITE(numout,*) '      Maximum proportion of frazil ice collecting at bottom   rn_maxfrazb  = ', rn_maxfrazb
+         WRITE(numout,*) '      Threshold relative drift speed for collection of frazil rn_vfrazb    = ', rn_vfrazb
+         WRITE(numout,*) '      Squeezing coefficient for collection of frazil          rn_Cfrazb    = ', rn_Cfrazb
+         WRITE(numout,*) '   -- iceitd --'
+         WRITE(numout,*) '      minimum ice thickness                                   rn_himin     = ', rn_himin 
+         WRITE(numout,*) '   -- icestp --'
+         WRITE(numout,*) '      Multicategory heat flux formulation                     nn_limflx    = ', nn_limflx
       ENDIF
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8512)
@@ -107,23 +107,23 @@
       !! ** Purpose :   initialization of ice salinity parameters
       !!
-      !! ** Method  :   Read the namicesal namelist and check the parameter
+      !! ** Method  :   Read the namice_sal namelist and check the parameter
       !!              values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namicesal
+      !! ** input   :   Namelist namice_sal
       !!-------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namicesal/ ln_limdS , nn_icesal , rn_icesal, rn_sal_gd, rn_time_gd,   &
+      NAMELIST/namice_sal/ ln_limdS , nn_icesal , rn_icesal, rn_sal_gd, rn_time_gd,   &
          &                rn_sal_fl, rn_time_fl, rn_simax , rn_simin 
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namicesal in reference namelist : Ice salinity
-      READ  ( numnam_ice_ref, namicesal, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicesal in reference namelist', lwp )
+      REWIND( numnam_ice_ref )              ! Namelist namice_sal in reference namelist : Ice salinity
+      READ  ( numnam_ice_ref, namice_sal, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_sal in reference namelist', lwp )
       !
-      REWIND( numnam_ice_cfg )              ! Namelist namicesal in configuration namelist : Ice salinity
-      READ  ( numnam_ice_cfg, namicesal, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicesal in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namicesal )
+      REWIND( numnam_ice_cfg )              ! Namelist namice_sal in configuration namelist : Ice salinity
+      READ  ( numnam_ice_cfg, namice_sal, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_sal in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_sal )
       !
       IF(lwp) THEN                           ! control print
@@ -131,13 +131,14 @@
          WRITE(numout,*) 'ice_thd_sal_init : Ice parameters for salinity '
          WRITE(numout,*) '~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '   activate gravity drainage and flushing (T) or not (F)   ln_limdS   = ', ln_limdS
-         WRITE(numout,*) '   switch for salinity                                     nn_icesal  = ', nn_icesal
-         WRITE(numout,*) '   bulk salinity value if nn_icesal = 1                    rn_icesal  = ', rn_icesal
-         WRITE(numout,*) '   restoring salinity for gravity drainage                 rn_sal_gd  = ', rn_sal_gd
-         WRITE(numout,*) '   restoring time for for gravity drainage                 rn_time_gd = ', rn_time_gd
-         WRITE(numout,*) '   restoring salinity for flushing                         rn_sal_fl  = ', rn_sal_fl
-         WRITE(numout,*) '   restoring time for flushing                             rn_time_fl = ', rn_time_fl
-         WRITE(numout,*) '   Maximum tolerated ice salinity                          rn_simax   = ', rn_simax
-         WRITE(numout,*) '   Minimum tolerated ice salinity                          rn_simin   = ', rn_simin
+         WRITE(numout,*) '   Namelist namice_sal'
+         WRITE(numout,*) '      activate gravity drainage and flushing (T) or not (F)   ln_limdS   = ', ln_limdS
+         WRITE(numout,*) '      switch for salinity                                     nn_icesal  = ', nn_icesal
+         WRITE(numout,*) '      bulk salinity value if nn_icesal = 1                    rn_icesal  = ', rn_icesal
+         WRITE(numout,*) '      restoring salinity for gravity drainage                 rn_sal_gd  = ', rn_sal_gd
+         WRITE(numout,*) '      restoring time for for gravity drainage                 rn_time_gd = ', rn_time_gd
+         WRITE(numout,*) '      restoring salinity for flushing                         rn_sal_fl  = ', rn_sal_fl
+         WRITE(numout,*) '      restoring time for flushing                             rn_time_fl = ', rn_time_fl
+         WRITE(numout,*) '      Maximum tolerated ice salinity                          rn_simax   = ', rn_simax
+         WRITE(numout,*) '      Minimum tolerated ice salinity                          rn_simin   = ', rn_simin
       ENDIF
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8512)
@@ -116,5 +116,5 @@
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
-         WRITE(numout,*)'ice_update_flx'
+         WRITE(numout,*)'ice_update_flx: update fluxes (mass, salt and heat) at the ice-ocean interface'
          WRITE(numout,*)'~~~~~~~~~~~~~~'
       ENDIF
@@ -255,5 +255,5 @@
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
-         WRITE(numout,*)'ice_update_tau'
+         WRITE(numout,*)'ice_update_tau: update stress at the ice-ocean interface'
          WRITE(numout,*)'~~~~~~~~~~~~~~'
       ENDIF
@@ -314,6 +314,6 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'ice_update_init :   sea-ice   ????'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~   '
+      IF(lwp) WRITE(numout,*) 'ice_update_init: ???? '
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~'
 
       !                                      ! allocate ice_update array
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8512)
@@ -68,9 +68,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   emp_oce        !: evap - precip over ocean                 [kg/m2/s]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   wndm_ice       !: wind speed module at T-point                 [m/s]
-   INTEGER , PUBLIC                                      ::   nn_limflx      !: LIM3 Multi-category heat flux formulation
-   !                                                                            ! =-1  Use of per-category fluxes
-   !                                                                            ! = 0  Average per-category fluxes
-   !                                                                            ! = 1  Average then redistribute per-category fluxes
-   !                                                                            ! = 2  Redistribute a single flux over categories
 #endif
 
